goocanvas.Image
Prev | PyGooCanvas Standard Canvas Items Reference | Next

## goocanvas.Image

goocanvas.Image — An Image item.

## Synopsis

    class goocanvas.Image(goocanvas.ItemSimple):
        goocanvas.Image(properties=None)

## Ancestry

    +-- gobject.GObject
    	+-- goocanvas.ItemSimple
    		+-- goocanvas.Image

## goocanvas.Image Properties

"height" | Read/Write | The height of the image. Allowed values: >= 0. Default value: 0.
"pattern" | Read/Write | The cairo pattern to paint.
"pixbuf" | Write | The GdkPixbuf to display.
"width" | Read/Write | The width of the image. Allowed values: >= 0 Default value: 0.
"x" | Read/Write | The x coordinate of the image. Default value: 0.
"y" | Read/Write | The y coordinate of the image. Default value: 0.

## Implemented Interfaces

`goocanvas.Image` implements `goocanvas.Item`

## Description

`goocanvas.Image` represents an image item. It is a subclass of `goocanvas.ItemSimple` and so inherits all of the style properties such as "operator" and "pointer-events". It also implements the `goocanvas.Item` interface, so you can use the `goocanvas.Item` functions such as `goocanvas.Item.raise_()` and `goocanvas.Item.rotate()`

## Constructor

        goocanvas.Image(properties=None)

`properties` : | A comma separated list of properties.
Returns : | A new `goocanvas.Image`

Creates a new canvas image item.

Here's an example showing how to create an image at (100.0, 100.0), using the given pixbuf at its natural width and height:

    image = goocanvas.Image(pixbuf=pixbuf, x=100, y=100)

Prev | Up | Next
goocanvas.Grid | Home | goocanvas.Group